@echo off
REM Progress V10 -> V12 conversion utility

REM  Uses the licensing from $DLC/progress.cfg for all steps.
REM  If the V10 database has additional features enabled like Enterprise or
REM  Encryption those features must be installed in V12.


SET PROG=conv1012

REM Make sure a database name has been supplied
SET dbname=%1

IF NOT "%dbname%"=="" GOTO HaveName
  ECHO Progress %PROG% Messages:
  ECHO A database name must be supplied
  ECHO %PROG% <dbname>
  GOTO END

:HaveName

REM  Verify that the database exists
IF EXIST "%dbname%.db" GOTO HaveDB
  ECHO Progress %PROG% Messages:
  ECHO The requested database: %dbname%
  ECHO could not be found.
  GOTO END

:HaveDB

REM Save some env var variables for later use so we
REM don't mess up the environment.

REM Determine the correct directory where the Product is installed

IF "%DLC%"==""   SET DLC=\dlc
IF EXIST "%DLC%\version" GOTO HaveDLC
  ECHO Progress %PROG% Messages:
  ECHO The DLC Environment variable is not set correctly.
  ECHO Please set the DLC variable.
  GOTO END

:HaveDLC

REM Verify needed utility files exist
SET MISSING=false

SET PROUTIL=%DLC%\bin\102dbutils\102b08_dbutil.exe

SET UTIL=%DLC%\bin\102dbutils\102b08_dbutil.exe

IF EXIST "%UTIL%" GOTO HaveUtil1
  ECHO Progress %PROG% Messages:
  ECHO Needed utility file %UTIL% cannot be found.
  SET MISSING=true

:HaveUtil1

SET UTIL=%DLC%\bin\117dbutils\117_dbutil.exe

IF EXIST "%UTIL%" GOTO HaveUtil2
  ECHO Progress %PROG% Messages:
  ECHO Needed utility file %UTIL% cannot be found.
  SET MISSING=true

:HaveUtil2

SET UTIL=%DLC%\bin\proutil.bat

IF EXIST "%UTIL%" GOTO HaveUtil3
  ECHO Progress %PROG% Messages:
  ECHO Needed utility file %UTIL% cannot be found.
  SET MISSING=true

:HaveUtil3

IF "%MISSING%"=="true" GOTO END

rem SET PATH=%DLC%;%PATH%
SET PROUTIL=%DLC%\bin\102dbutils\102b08_dbutil.exe

ECHO.
ECHO --- Run V10 truncate bi ---
type %DLC%\version
%PROUTIL% %dbname% -C truncate bi

SET PROUTIL=%DLC%\bin\117dbutils\117_dbutil.exe

ECHO.
ECHO --- Run V11 conv1011 ---
type %DLC%\version
%PROUTIL% %dbname% -C conv1011

SET PROUTIL=%DLC%\bin\_dbutil.exe

ECHO.
ECHO --- Run V12 conv1112 ---
%PROUTIL% %dbname% -C conv1112

:END

